<?php
/**
* @version 			1.6.0
* @author       	http://www.jseblod.com
* @copyright		Copyright (C) 2009-2010 jSeblod. All Rights Reserved.
* @license 			GNU/GPL V2 License. http://www.jseblod-cck.com
* @package			Default Content Template (Auto) - jSeblod CCK ( Content Construction Kit )
**/

// No Direct Access
defined( '_JEXEC' ) or die( 'Restricted access' );
?>

<?php
/**
 * Init jSeblod Process Object { !Important; !Required; }
 **/
$jSeblod	=	clone $this;

if ( array_key_exists( 'cckitems', get_object_vars( $jSeblod ) ) ) {
	$cckitems	=	$jSeblod->cckitems;
} else {
	return true;
}
?>

<?php
/**
 * Init Style Parameters
 **/
include( dirname(__FILE__) . '/params.php' );
?>

<?php
/**
 * Push Any jSeblod Content Fields
 **/
if ( sizeof( $cckitems ) ):
?>

<table class="admintable" width="100%" cellpadding="0" cellspacing="0" border="0">
<?php for ( $i = 0, $n = count( $cckitems ); $i < $n; $i++ ) {
    $item	=	$cckitems[$i];

    if ( $jSeblod->$item ) { ?>
        <!-- Field Types (Array) -->
        <?php if ( is_array ( $jSeblod->$item ) ) { ?>
			
			<?php if ( is_array ( $jSeblod->{$item}[0] ) ) { ?>
				
				<tr>
                	<td class="cck_field">
						<?php
                        $n2	=	count ( $jSeblod->{$item} );
                        for ( $i2 = 0; $i2 < $n2 - 1; $i2++ ) { ?>
                            <table class="cck_group" cellpadding="0" cellspacing="0" border="0">
                            <?php
                            $n3	=	count ( $jSeblod->{$item}[$i2] );
                            foreach ( $jSeblod->{$item}[$i2] as $field ) { ?>
                                <tr>
                                    <td width="140" style="color: #666666; font-weight: bold;">
                                        <?php echo $field->label; ?>:
                                    </td>
                                    <td class="cck_field">
                                        <?php echo CCK_CONTENT_DefaultContent( @$field->value, @$field, false ); ?>
                                    </td>
                                </tr>
                            <?php } ?>
                            </table>
                        <?php } ?>
                    </td>
                </tr>       
                
            <?php } else { ?>
            
				<?php if ( $jSeblod->{$item}[0]->displayfield == 0 || ( $jSeblod->{$item}[0]->displayfield == 1 && $client->id ) || ( $jSeblod->{$item}[0]->displayfield == 2 && !$client->id ) ) { ?>
                <tr> 
                    <td class="cck_field">     
                    <?php for ( $i2 = 0, $n2 = count( $jSeblod->$item ); $i2 < $n2; $i2++ ) { ?>
                        <?php echo @$jSeblod->{$item}[$i2]->codebefore; ?>
                        <span class="<?php echo $jSeblod->{$item}[$i2]->name.'_'.$i2; ?>">
                            <?php echo CCK_CONTENT_DefaultContent( @$jSeblod->{$item}[$i2]->value, @$jSeblod->{$item}[$i2], true ); ?>
                        </span>
                        <?php
                        if ( @$jSeblod->{$item}[0]->content != '' && @$jSeblod->{$item}[0]->cols && ( ($i2+1) % $jSeblod->{$item}[0]->cols ) == 0 ) {
                            echo @$jSeblod->{$item}[0]->content;
                        }
                        ?>
                        <?php echo @$jSeblod->{$item}[$i2]->codebefore; ?>
                    <?php } ?>
                    </td>
                </tr>
                <?php } ?>
                
			<?php } ?>
            
	<?php } else { ?>

        <!-- Field Types (Var)-->
        <?php if ( $jSeblod->$item->display == -3 ) {
				echo '<tr><td colspan="3"><h3>'.$jSeblod->$item->label.'</h3></td></tr>';
    	    } else if ( $jSeblod->$item->display == -2 ) {
	            echo '<tr><td colspan="3"><h3>'.$jSeblod->$item->label.'</h3></td></tr>';
            } else { ?>
                <?php if ( $jSeblod->$item->displayfield == 0 || ( $jSeblod->$item->displayfield == 1 && $client->id ) || ( $jSeblod->$item->displayfield == 2 && ! $client->id ) ) { ?>
                    <tr> 
                    	<td class="cck_field">
							<?php echo @$jSeblod->$item->codebefore; ?>
                            <?php echo CCK_CONTENT_DefaultContent( @$jSeblod->$item->value, @$jSeblod->$item, false ); ?>
                            <?php echo @$jSeblod->$item->codeafter; ?>
                    	</td>
                    </tr>
                <?php } ?>
        <?php } ?>
		<?php } ?>
    
<?php } } ?>
</table>
	
<?php endif;
/**
 * End
 **/
?>